      SUBROUTINE MAIN
      LOGICAL*1 BUF(512), WORD(512), OBUF(512)
      INTEGER I, NXTCOL
      INTEGER GETLIN, GETWRD
      CALL QUERY(13Husage:  pack.)
      CALL INPACK(NXTCOL, 80, OBUF, 2)
23000 IF (.NOT.(GETLIN(BUF, 1) .NE. -1))GOTO 23001
      I = 1
23002 IF (.NOT.(GETWRD(BUF, I, WORD) .GT. 0))GOTO 23003
      CALL DOPACK(WORD, NXTCOL, 80, OBUF, 2)
      GOTO 23002
23003 CONTINUE
      GOTO 23000
23001 CONTINUE
      CALL FLPACK(NXTCOL, 80, OBUF, 2)
      RETURN
      END
